Bug 1570808 - [RFE] Set content source in how proxy based on one used for registration
Summary: [RFE] Set content source in how proxy based on one used for registration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Bootstrap
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Rich Jerrido
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 12:34 UTC by François Cami
Modified: 2019-11-05 23:16 UTC (History)
8 users (show)

Fixed In Version: katello-client-bootstrap-1.6.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:30:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello katello-client-bootstrap pull 254 None None None 2018-08-01 12:22:28 UTC
Red Hat Knowledge Base (Solution) 2981131 None None None 2018-04-23 20:50:02 UTC
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:32:18 UTC

Description François Cami 2018-04-23 12:34:16 UTC
Description of problem:

Currently, when we register a Content Host to Satellite, the Host created gets the Satellite server to be the smart_proxy, even if the Host is registered to a Capsule.

When no subnet is defined, the default, and only, remote execution runner should be the content-source Capsule for this host.

This is related to https://bugzilla.redhat.com/show_bug.cgi?id=1508153, more precisely this is the 2nd scenario in https://bugzilla.redhat.com/show_bug.cgi?id=1508153#c8

Comment 2 François Cami 2018-04-23 12:37:27 UTC
This should read: The default, and only, remote execution runner MUST be the content-source Capsule for this host, because of network firewalls blocking ssh traffic from other capsules to the host.

Comment 3 Ivan Necas 2018-04-23 12:42:04 UTC
I'm changing the component to registration, as the goal is for the registered host, to have set the capsule that was used for registration as "content source", which will lead automatically for REX to use it for it's purposes as well.

Comment 5 François Cami 2018-07-13 13:08:58 UTC
Upstream PR: https://github.com/Katello/katello-client-bootstrap/pull/254

Comment 7 Rich Jerrido 2018-07-16 12:25:09 UTC
Moving this BZ over to the bootstrap component

Comment 18 jcallaha 2018-09-20 19:02:44 UTC
Verified in Satellite 6.4 Snap 22

Steps:

Setup a hostgroup that has its content source set to the satellite.

Setup all other prerequisites to use bootstrap.py

Ran bootstra.py on the client, adding in the new argument (--force-content-source), and specifying the capsule

Ran a rex job against the host

Results:

The content source was successfully set to the capsule

The remote execution was completed by the capsule


Full bootstrap command:
python bootstrap.py -l admin -s <capsule> -o "Default Organization" -L "Default Location" -g nouse -a rhel7 --rex --force-content-source --force --add-domain

Comment 20 errata-xmlrpc 2018-10-16 15:30:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.